Package org.apache.uima.flow.impl

# Class AnalysisSequenceCapabilityNode

java.lang.Object
org.apache.uima.flow.impl.AnalysisSequenceCapabilityNode

All Implemented Interfaces:
  `Cloneable`

public class AnalysisSequenceCapabilityNode extends Object implements Cloneable
A `AnalysisSequenceCapabilityNode` is a node element of the `CapabilityLanguageFlowObject`. A `AnalysisSequenceCapabilityNode` has a `AnalysisEngine`, a `ResultSpecification` which should be processed from the `AnalysisEngine`. Also a `AnalysisSequenceCapabilityNode` has a `ResultSpecification` which inculdes the capabilities of the `AnalysisEngine`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnalysisSequenceCapabilityNode(String aKey, CasObjectProcessor aCasProcessor, ResultSpecification aResultSpec)`
  Creates a new AnalysisSequenceCapabilityNode from an AnalysisEngine reference
  `AnalysisSequenceCapabilityNode(String aCasProcessorKey, Capability[] aCasProcessorCapabilities, ResultSpecification aResultSpec)`
  Creates a new AnalysisSequenceCapabilityNode from a AnalysisEngine Key.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  Returns a clone of this `AnalysisSequenceNode`.
  `ResultSpecification`
  `getCapabilityContainer()`
  Returns the capabilityContainer reference.
  `CasObjectProcessor`
  `getCasProcessor()`
  `String`
  `getCasProcessorKey()`
  `ResultSpecification`
  `getResultSpec()`
  `void`
  `setResultSpec(ResultSpecification aResultSpec)`
  Sets this node's Result Specificatoin.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AnalysisSequenceCapabilityNode

    public AnalysisSequenceCapabilityNode(String aKey, CasObjectProcessor aCasProcessor, ResultSpecification aResultSpec)
    Creates a new AnalysisSequenceCapabilityNode from an AnalysisEngine reference
    Parameters:
      `aKey` - key for AnalysisEngine to be executed at this point in sequence
      `aCasProcessor` - reference to the AnalysisEngine instance
      `aResultSpec` - result specification to be passed to this AnalysisEngine

  - ### AnalysisSequenceCapabilityNode

    public AnalysisSequenceCapabilityNode(String aCasProcessorKey, Capability[] aCasProcessorCapabilities, ResultSpecification aResultSpec)
    Creates a new AnalysisSequenceCapabilityNode from a AnalysisEngine Key. This is to be used when a direct reference to a AnalysisEngine is not available.
    Parameters:
      `aCasProcessorKey` - Key of a AnalysisEngine
      `aCasProcessorCapabilities` - Capabilities for this AnalysisEngine
      `aResultSpec` - result specification to be passed to this AnalysisEngine

- ## Method Details

  - ### getCasProcessorKey

    public String getCasProcessorKey()

  - ### getCasProcessor

    public CasObjectProcessor getCasProcessor()

  - ### getResultSpec

    public ResultSpecification getResultSpec()

  - ### setResultSpec

    public void setResultSpec(ResultSpecification aResultSpec)
    Sets this node's Result Specificatoin.
    Parameters:
      `aResultSpec` - -

  - ### clone

    public Object clone()
    Returns a clone of this `AnalysisSequenceNode`.
    Overrides:
      `clone` in class `Object`
    Returns:
      a new `AnalysisSequenceNode` object that is an exact clone of this one.

  - ### getCapabilityContainer

    public ResultSpecification getCapabilityContainer()
    Returns the capabilityContainer reference.
    Returns:
      CapabilityContainer - returns the reference to the capability container